Hobo Cookbook

View Source

Manual

Last updated: 2012-03-29
Edit this page

Downloading and Installing Hobo

Before installing Hobo, you must have Ruby, RubyGems and Ruby on Rails installed.

The standard mechanism for installing Hobo is to use gem:

gem install hobo

This command will also install the Hobo prerequisites Hobo Support, Hobo Fields and Dryml as well as Mislav’s will_paginate, if you do not already have them installed. The two Hobo prerequisites may be used independently without Hobo, so you may wish to install either or all of them instead of Hobo.

gem install hobo_support
gem install hobo_fields
gem install dryml

If you wish to download the gems directly, you can get them from RubyGems.org. There are four gems: hobo_support, hobo_fields, dryml and hobo

The source code for Hobo is available on github:tablatom/hobo